# Poco

# class WindowsConsoleChannel

Library: Foundation
Package: Logging
Header: Poco/WindowsConsoleChannel.h

## Description

A channel that writes to the Windows console.

Only the message's text is written, followed by a newline.

Log messages are assumed to be UTF-8 encoded, and are converted to UTF-16 prior to writing them to the console. This is the main difference to the ConsoleChannel class, which cannot handle UTF-8 encoded messages on Windows.

Chain this channel to a FormattingChannel with an appropriate Formatter to control what is contained in the text.

Only available on Windows platforms.

## Inheritance

Direct Base Classes: Channel

All Base Classes: Channel, Configurable, RefCountedObject

## Member Summary

Member Functions: log

Inherited Functions: close, duplicate, getProperty, log, open, referenceCount, release, setProperty

## Types Aliases

### Ptr

using Ptr = AutoPtr < WindowsConsoleChannel >;

## Constructors

### WindowsConsoleChannel

WindowsConsoleChannel();

Creates the WindowsConsoleChannel.

## Destructor

### ~WindowsConsoleChannel

~WindowsConsoleChannel();

## Member Functions

### log

void log(
const Message & msg
);

Logs the given message to the channel's stream.

See also: Poco::Channel::log()